Bug 597932 - wacom: Pressure is always maximum in relative mode
Summary: wacom: Pressure is always maximum in relative mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-wacom   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 03:08 UTC by Peter Hutterer
Modified: 2010-11-15 13:46 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-drv-wacom-0.10.5-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 13:46:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Hutterer 2010-05-31 03:08:35 UTC
Description of problem:
If a wacom device is in relative mode, the pressure builds up to the maximum and stays there.

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.10.5-3.el6

How reproducible:
Steps to Reproduce:
1. xsetwacom set "Wacom Intuos4 6x9" Mode Relative
2. xinput --test-xi2
3. watch the Valuator 2 in the RawMotion events.
  
Actual results:
Pressure goes up to max (2047 in my case) and stays there.

Expected results:
Pressure goes back to 0 on release and moves between min/max as appropriate.

Comment 1 RHEL Product and Program Management 2010-05-31 03:15:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Peter Hutterer 2010-06-10 00:58:27 UTC
MODIFIED

xorg-x11-drv-wacom-0.10.5-4.el6 is available in brew

Comment 4 Michael Boisvert 2010-11-12 20:11:34 UTC
Verifying bug fix. With an Intuos4 tablet set to Relative mode, the pressure acted correctly when releasing the stylus from the pad. Information viewed from command xinput --test-xi2. RHEL6.0 with xorg-x11-drv-wacom-0.10.5-6.el6.

Comment 5 releng-rhel@redhat.com 2010-11-15 13:46:35 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.